from setuptools import setup, find_packages
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

with open(path.join(here, 'README.md'), encoding='utf-8') as f:
    long_description = f.read()

setup(
    name='chassis',
    version='0.2.0',
    description='basic sdk',
    long_description=long_description,
    url='https://gitea.bearcatlog.com/BryantStudio/chassis',

    author='BryantStudio Engineering',
    author_email='bryantsisu@qq.book',

    license='MIT',

    classifiers=[
        'Development Status :: 3 - Alpha',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: Apache Software License',
        'Programming Language :: Python :: 3',
        'Topic :: Software Development :: Libraries :: Python Modules',

        "Programming Language :: Python",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: POSIX",
        "Programming Language :: Python :: 3",
        "Topic :: Internet",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Intended Audience :: Developers",
    ],
    platforms='any',

    keywords='microservices basic sdk',

    packages=find_packages(exclude=['contrib', 'docs', 'tests']),
    include_package_data=True,

    install_requires=[],
    extras_require={
        'nameko': ['nameko==3.0.0rc11'],
        'apiflask': ['apiflask>=2.0.0',
                     'gevent>=23.7.0',
                     'gunicorn==21.2.0'],
        'rocketry': ['rocketry==2.4.0'],
        'gutter': ['gutter==0.5.0'],
        'mysql': ['pymysql==1.0.3',
                  'sqlalchemy==2.0.15',
                  'sqlacodegen==2.3.0',
                  'alembic==1.11.1'],
        'mongodb': ['mongoengine==0.27.0'],
    },
)
